| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::ea_attributs Class Reference
Private

the class ea_attributs manages the set of EA that can be associated to an inode More...

`#include <ea.hpp>`

## Public Member Functions
| ea_attributs (generic_file &f, const archive_version &edit)
| ea_attributs (const ea_attributs &ref)
| ea_attributs (ea_attributs &&ref) noexcept
ea_attributs & | operator= (const ea_attributs &ref)
ea_attributs & | operator= (ea_attributs &&ref) noexcept
bool | operator== (const ea_attributs &ref) const
void | dump (generic_file &f) const
void | add (const std::string &key, const std::string &value)
void | reset_read () const
bool | read (std::string &key, std::string &value) const
infinint | size () const
void | clear ()
bool | find (const std::string &key, std::string &found_value) const
bool | diff (const ea_attributs &other, const mask &filter) const
infinint | space_used () const
ea_attributs | operator+ (const ea_attributs &arg) const
| addition operator.
| ea_attributs (generic_file &f, const archive_version &edit)
| ea_attributs (const ea_attributs &ref)
| ea_attributs (ea_attributs &&ref) noexcept
ea_attributs & | operator= (const ea_attributs &ref)
ea_attributs & | operator= (ea_attributs &&ref) noexcept
bool | operator== (const ea_attributs &ref) const
void | dump (generic_file &f) const
void | add (const std::string &key, const std::string &value)
void | reset_read () const
bool | read (std::string &key, std::string &value) const
infinint | size () const
void | clear ()
bool | find (const std::string &key, std::string &found_value) const
bool | diff (const ea_attributs &other, const mask &filter) const
infinint | space_used () const
ea_attributs | operator+ (const ea_attributs &arg) const
| addition operator.

## Private Attributes
std::map< std::string, std::string > | attr
std::map< std::string, std::string >::const_iterator | alire

## Detailed Description

the class ea_attributs manages the set of EA that can be associated to an inode

Definition at line 47 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## Constructor & Destructor Documentation

## ◆ ea_attributs() [1/2]

libdar::ea_attributs::ea_attributs | ( |  | ) |
| inline

Definition at line 50 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## ◆ ea_attributs() [2/2]

libdar::ea_attributs::ea_attributs | ( |  | ) |
| inline

Definition at line 50 of file src/libdar/ea.hpp.

## Member Function Documentation

## ◆ add() [1/2]

void libdar::ea_attributs::add | ( | const std::string & | key,
|  | const std::string & | value )
| inline

Definition at line 61 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## ◆ add() [2/2]

void libdar::ea_attributs::add | ( | const std::string & | key,
|  | const std::string & | value )
| inline

Definition at line 61 of file src/libdar/ea.hpp.

## ◆ clear() [1/2]

void libdar::ea_attributs::clear | ( |  | ) |
| inline

Definition at line 65 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## ◆ clear() [2/2]

void libdar::ea_attributs::clear | ( |  | ) |
| inline

Definition at line 65 of file src/libdar/ea.hpp.

## ◆ operator+() [1/2]

ea_attributs libdar::ea_attributs::operator+ | ( | const ea_attributs & | arg | ) | const

addition operator.

Parameters

  [in] | arg | ea_attributs to add to self

Returns
  a ea_attributs object containing all EA of the current object enriched and possibly overwritten by those of "arg".

Note
  this operator is not reflexive (or symetrical if you prefer) unlike it is in arithmetic. Here instead "a + b" is possibly not equal to "b + a"

## ◆ operator+() [2/2]

ea_attributs libdar::ea_attributs::operator+ | ( | const ea_attributs & | arg | ) | const

addition operator.

Parameters

  [in] | arg | ea_attributs to add to self

Returns
  a ea_attributs object containing all EA of the current object enriched and possibly overwritten by those of "arg".

Note
  this operator is not reflexive (or symetrical if you prefer) unlike it is in arithmetic. Here instead "a + b" is possibly not equal to "b + a"

## ◆ operator==() [1/2]

bool libdar::ea_attributs::operator== | ( | const ea_attributs & | ref | ) | const
| inline

Definition at line 58 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## ◆ operator==() [2/2]

bool libdar::ea_attributs::operator== | ( | const ea_attributs & | ref | ) | const
| inline

Definition at line 58 of file src/libdar/ea.hpp.

## ◆ size() [1/2]

infinint libdar::ea_attributs::size | ( |  | ) | const
| inline

Definition at line 64 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## ◆ size() [2/2]

infinint libdar::ea_attributs::size | ( |  | ) | const
| inline

Definition at line 64 of file src/libdar/ea.hpp.

## Member Data Documentation

## ◆ alire

std::map< std::string, std::string >::const_iterator libdar::ea_attributs::alire
| mutable private

Definition at line 81 of file dar64-2.8.3-win64/include/dar/ea.hpp.

## ◆ attr

std::map< std::string, std::string > libdar::ea_attributs::attr
| private

Definition at line 80 of file dar64-2.8.3-win64/include/dar/ea.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/ea.hpp
- src/libdar/ea.hpp